Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.datatype
Interface DataTypeValueSerializer

All Superinterfaces:
  Serializable

    public interface DataTypeValueSerializer

extends Serializable

A serializer that may be plugged into a tool environment to allow data type values to be moved to and from a persistent store (that stores raw byte values).

Method Summary
`Object` | `deserializeDefaultValue(String defaultValue)`
`Object` | `deserializeValue(DataTypeSerializedValue value)`
`boolean` | `isDefaultValueLossy()` Indicates if the default value created by this serializer can lose precision/information/etc.
`String` | `serializeDefaultValue(Object defaultValue)`
`DataTypeSerializedValue` | `serializeValue(Object value)`

Method Detail

### isDefaultValueLossy

    boolean isDefaultValueLossy()

  Indicates if the default value created by this serializer can lose precision/information/etc. when compared to the precision/information of the unserialized data value

### serializeDefaultValue

    String serializeDefaultValue(Object defaultValue)
                                 throws DataTypeException

  Throws:
    `DataTypeException`

### deserializeDefaultValue

    Object deserializeDefaultValue(String defaultValue)
                                   throws DataTypeException

  Throws:
    `DataTypeException`

### serializeValue

    DataTypeSerializedValue serializeValue(Object value)
                                           throws DataTypeException

  Throws:
    `DataTypeException`

### deserializeValue

    Object deserializeValue(DataTypeSerializedValue value)
                            throws DataTypeException

  Throws:
    `DataTypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD